<?php


namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Buttons;


use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Modals\DeleteVmModal;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Modals\SshKeyModal;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\Helper\BuildUrl;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;

class SshKeyButton extends AbstractActionButton implements ClientArea, AdminArea
{

    public function initContent()
    {
        $this->initIds('sshKeyButton');
        $this->setIcon('lu-zmdi lu-zmdi-power');
        $this->initLoadModalAction(new SshKeyModal());
    }

    public function getImageUrl()
    {
        return BuildUrl::getAppAssetsURL() . DS . 'img' . DS . 'buttons' . DS  . 'sshKey.png';
    }
}